<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CodingContract](./bitburner.codingcontract.md) &gt; [createDummyContract](./bitburner.codingcontract.createdummycontract.md)

## CodingContract.createDummyContract() method

Generate a dummy contract.

**Signature:**

```typescript
createDummyContract(type: CodingContractName): string;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

type


</td><td>

[CodingContractName](./bitburner.codingcontractname.md)


</td><td>

Type of contract to generate


</td></tr>
</tbody></table>

**Returns:**

string

Filename of the contract.

## Remarks

RAM cost: 2 GB

Generate a dummy contract on the home computer with no reward. Used to test various algorithms.

